# __gnu_profile::__map2umap_info Class Reference

A map-to-unordered_map instrumentation line in the object table. More...

Inheritance diagram for __gnu_profile::__map2umap_info:
[legend]

List of all members.

## Public Member Functions

- __map2umap_info (__stack_t __stack)
- __map2umap_info (const __map2umap_info &o)
- const char * __advice () const
- bool __is_valid () const
- float __magnitude () const
- void __merge (const __map2umap_info &o)
- void __record_erase (size_t __size, size_t __count)
- void __record_find (size_t __size)
- void __record_insert (size_t __size, size_t __count)
- void __record_invalidate ()
- void __record_iterate (size_t __count)
- __stack_t __stack () const
- void __write (FILE *__f) const

## Protected Attributes

- __stack_t _M_stack

## Detailed Description

A map-to-unordered_map instrumentation line in the object table.

Definition at line 86 of file profiler_map_to_unordered_map.h.

The documentation for this class was generated from the following file:

- profiler_map_to_unordered_map.h